Loading...
Searching...
No Matches
Vector Dot
Math Functions

## Functions

ne10_result_t | ne10_dot_vec2f_c (ne10_float32_t *dst, ne10_vec2f_t *src1, ne10_vec2f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_dot_vec2f_neon (ne10_float32_t *dst, ne10_vec2f_t *src1, ne10_vec2f_t *src2, ne10_uint32_t count) asm("ne10_dot_vec2f_neon")
ne10_result_t | ne10_dot_vec2f_asm (ne10_float32_t *dst, ne10_vec2f_t *src1, ne10_vec2f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_dot_vec3f_c (ne10_float32_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_dot_vec3f_neon (ne10_float32_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count) asm("ne10_dot_vec3f_neon")
ne10_result_t | ne10_dot_vec3f_asm (ne10_float32_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_dot_vec4f_c (ne10_float32_t *dst, ne10_vec4f_t *src1, ne10_vec4f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_dot_vec4f_neon (ne10_float32_t *dst, ne10_vec4f_t *src1, ne10_vec4f_t *src2, ne10_uint32_t count) asm("ne10_dot_vec4f_neon")
ne10_result_t | ne10_dot_vec4f_asm (ne10_float32_t *dst, ne10_vec4f_t *src1, ne10_vec4f_t *src2, ne10_uint32_t count)

## Variables

ne10_result_t(* | ne10_dot_vec2f )(ne10_float32_t *dst, ne10_vec2f_t *src1, ne10_vec2f_t *src2, ne10_uint32_t count)
| Dot product of two 2D vectors.
ne10_result_t(* | ne10_dot_vec3f )(ne10_float32_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count)
| Dot product of two 3D vectors.
ne10_result_t(* | ne10_dot_vec4f )(ne10_float32_t *dst, ne10_vec4f_t *src1, ne10_vec4f_t *src2, ne10_uint32_t count)
| Dot product of two 4D vectors.

## Detailed Description

  These functions implement vector dot operation for float data type.

## Function Documentation

## ne10_dot_vec2f_c()

ne10_result_t ne10_dot_vec2f_c | ( | ne10_float32_t * | dst,
|  | ne10_vec2f_t * | src1,
|  | ne10_vec2f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 37 of file NE10_dot.c.

## ne10_dot_vec3f_c()

ne10_result_t ne10_dot_vec3f_c | ( | ne10_float32_t * | dst,
|  | ne10_vec3f_t * | src1,
|  | ne10_vec3f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 46 of file NE10_dot.c.

## ne10_dot_vec4f_c()

ne10_result_t ne10_dot_vec4f_c | ( | ne10_float32_t * | dst,
|  | ne10_vec4f_t * | src1,
|  | ne10_vec4f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 56 of file NE10_dot.c.

## Variable Documentation

## ne10_dot_vec2f

ne10_result_t(* ne10_dot_vec2f) (ne10_float32_t *dst, ne10_vec2f_t *src1, ne10_vec2f_t *src2, ne10_uint32_t count) | ( | ne10_float32_t * | dst,
|  | ne10_vec2f_t * | src1,
|  | ne10_vec2f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Dot product of two 2D vectors.

This function point could be pointed to one of ne10_dot_vec2f_c, ne10_dot_vec2f_neon and ne10_dot_vec2f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src1 | Pointer to the first source array
  [in] | src2 | Pointer to the second source array
  [in] | count | The number of items in the input arrays

Definition at line 279 of file NE10_init_math.c.

## ne10_dot_vec3f

ne10_result_t(* ne10_dot_vec3f) (ne10_float32_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count) | ( | ne10_float32_t * | dst,
|  | ne10_vec3f_t * | src1,
|  | ne10_vec3f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Dot product of two 3D vectors.

This function point could be pointed to one of ne10_dot_vec3f_c, ne10_dot_vec3f_neon and ne10_dot_vec3f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src1 | Pointer to the first source array
  [in] | src2 | Pointer to the second source array
  [in] | count | The number of items in the input arrays

Definition at line 280 of file NE10_init_math.c.

## ne10_dot_vec4f

ne10_result_t(* ne10_dot_vec4f) (ne10_float32_t *dst, ne10_vec4f_t *src1, ne10_vec4f_t *src2, ne10_uint32_t count) | ( | ne10_float32_t * | dst,
|  | ne10_vec4f_t * | src1,
|  | ne10_vec4f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Dot product of two 4D vectors.

This function point could be pointed to one of ne10_dot_vec4f_c, ne10_dot_vec4f_neon and ne10_dot_vec4f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src1 | Pointer to the first source array
  [in] | src2 | Pointer to the second source array
  [in] | count | The number of items in the input arrays

Definition at line 281 of file NE10_init_math.c.